'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getThemeToInherit = undefined;

var _getTheme = require('./getTheme');

/**
 * Gets the theme a specified theme inherits from.
 * @param {object} opts The plugin options.
 * @param {object} theme A theme object.
 * @return {object} The inherited theme object or an empty object if not found.
 */
const getThemeToInherit = exports.getThemeToInherit = ({ opts, theme }) => theme.inherits ? (0, _getTheme.getTheme)({ opts, name: theme.inherits }) : {};